Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service.errors
Interface IoutputFormatVisitor

All Known Implementing Classes:
  FulltextErrorVisitor, GeolocErrorVisitor

    public interface IoutputFormatVisitor

Visitao (visitor Pattern) for the outputFormat enum

Author:
  David Masclet

Method Summary
`java.lang.String` | `visitATOM(Output.OutputFormat format)`
`java.lang.String` | `visitGEORSS(Output.OutputFormat format)`
`java.lang.String` | `visitJSON(Output.OutputFormat format)`
`java.lang.String` | `visitPHP(Output.OutputFormat format)`
`java.lang.String` | `visitPYTHON(Output.OutputFormat format)`
`java.lang.String` | `visitRUBY(Output.OutputFormat format)`
`java.lang.String` | `visitXML(Output.OutputFormat format)`

Method Detail

### visitXML

    java.lang.String visitXML(Output.OutputFormat format)

  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the XML format

### visitJSON

    java.lang.String visitJSON(Output.OutputFormat format)

  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the JSON format

### visitPYTHON

    java.lang.String visitPYTHON(Output.OutputFormat format)

  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the PYTHON format

### visitRUBY

    java.lang.String visitRUBY(Output.OutputFormat format)

  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the RUBY format

### visitPHP

    java.lang.String visitPHP(Output.OutputFormat format)

  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the PHP format

### visitATOM

    java.lang.String visitATOM(Output.OutputFormat format)

  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the ATOM format

### visitGEORSS

    java.lang.String visitGEORSS(Output.OutputFormat format)

  Parameters:
    `format` - The OutputFormat
  Returns:
    the String in the RSS format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.